%define oname mzscheme
Name: plt2
Version: 372
Release: alt1

Summary: PLT MzScheme
Summary(ru_RU.KOI8-R): PLT MzScheme

License: LGPL
Group: Development/Other
Url: http://www.plt-scheme.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.plt-scheme.org/bundles/%version/mz/mz-%version-src-unix.tar.bz2
Patch: %name.patch
Source1: plt-drscheme.menu
Source2: plt-drscheme.png

# do not scan scheme code for requires
%add_findreq_skiplist %_libdir/plt/collects/*/*.ss
%add_findreq_skiplist %_libdir/plt/collects/*/*/*.ss

Provides: %oname

# Automatically added by buildreq on Sat Dec 09 2006
BuildRequires: gcc-c++

%description
MzScheme -- R5RS-compilant version of Scheme language.

%description -l ru_RU.KOI8-R
MzScheme --   Scheme,  R5RS.

%package -n lib%oname
Summary: Library files needed to build MzScheme applications
Group: System/Libraries

%description -n lib%oname
Library files needed to build MzScheme applications.

%package -n lib%oname-devel
Summary: Development files needed to build applications with lib%oname
Group: Development/C
Requires: lib%oname = %version

%description -n lib%oname-devel
Development files needed to build applications with %oname.

%prep
%setup -q -n mz-%version/src
%patch

%build
%configure --enable-shared
%make_build

%install
%makeinstall_std docdir=%_docdir/%name-%version

%files
%_docdir/%name-%version/
%_bindir/*
%_libdir/plt/
%_man1dir/*.*

%files -n lib%oname
%_libdir/lib%{oname}3m-%version.so

%files -n lib%oname-devel
%doc README
%_includedir/plt/
%_libdir/lib%{oname}3m.so

%changelog
* Wed Jan 09 2008 Vitaly Lipatov <lav@altlinux.ru> 372-alt1
- new version 372 (with rpmrb script)
- cleanup spec, remove more obsoleted lines (#13408)
- fix links in bindir (#12986)
- enable build dynamic library, fix linking
- split devel package (#4011)

* Wed Nov 14 2007 Vitaly Lipatov <lav@altlinux.ru> 371-alt1
- new version 371 (with rpmrb script)

* Sat Dec 09 2006 Vitaly Lipatov <lav@altlinux.ru> 360-alt0.1
- reverted from orhaned, new version (360)
- change packager, fix Source Url
- update requires
- build no gui version due embedded wxWidgets

* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 208-alt1.1
- Rebuilt with libstdc++.so.6.

* Thu Aug 05 2004 Alexey Voinov <voins@altlinux.ru> 208-alt1
- new version(208)

* Mon Feb 16 2004 Ott Alex <ott@altlinux.ru> 206-alt2.p1
- Bugfix release plt-206p1

* Thu Feb 05 2004 Ott Alex <ott@altlinux.ru> 206-alt2
- Fixing menu

* Tue Jan 27 2004 Ott Alex <ott@altlinux.ru> 206-alt1
- New version
- added menu

* Wed Sep 24 2003 Ott Alex <ott@altlinux.ru> 205-alt1
- Fixing spec to build in hasher

* Mon May 12 2003 Ott Alex <ott@altlinux.ru> 204-alt1
- New main release
-  locale patch now in mainstream

* Thu Apr 10 2003 Stanislav Ievlev <inger@altlinux.ru> 203-alt2.2
- new alternatives config format

* Mon Mar 24 2003 Stanislav Ievlev <inger@altlinux.ru> 203-alt2.1
- move to new altenatives scheme
  warning to maintainer: package was unupradeable

* Tue Dec 24 2002 Ott Alex <ott@altlinux.ru> 203-alt2
- New version and fix for locale

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 202-alt1
- Initial build

